##### 7.5.20.0. Exterior

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  Exterior();

Return:
  qring

Purpose:
  create the exterior algebra of a basering

Note:
  activate this qring with the "setring" command

Theory:
  given a basering, this procedure introduces the anticommutative relations x(j)x(i)=-x(i)x(j) for all j>i,
  moreover, creates a factor algebra modulo the two-sided ideal, generated by x(i)^2 for all i

Example:

    LIB "nctools.lib";
    ring R = 0,(x(1..3)),dp;
    def ER = Exterior();
    setring ER;
    ER;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 3
    ==> //        block   1 : ordering dp
    ==> //                  : names    x(1) x(2) x(3)
    ==> //        block   2 : ordering C
    ==> // noncommutative relations:
    ==> //    x(2)x(1)=-x(1)*x(2)
    ==> //    x(3)x(1)=-x(1)*x(3)
    ==> //    x(3)x(2)=-x(2)*x(3)
    ==> // quotient ring from ideal
    ==> _[1]=x(3)^2
    ==> _[2]=x(2)^2
    ==> _[3]=x(1)^2

User manual for Singular version 4.4.1, 2025, generated by texi2html.